#$EPIC: do,v 1.3 2004/05/10 05:53:02 jnelson Exp $
Synopsis:
   do <commands>
   do { <commands> } [while (<condition>)]

Description:
   DO has two uses.  In its first use it is a synonym for EVAL,
   but it's a bad idea to use EVAL either.

   Its second use is a post-test loop.  You are obliged to put your commands
   in curly braces and after the closing curly brace a WHILE expression.  
   DO .. WHILE loops always execute at least once.  You must be careful
   to put the WHILE expression on the same line as the closing brace.  If 
   it is on the next line, EPIC will think it is a separate command.

See Also:
   To force expansion of some variable $foo:
      /do echo the variable $$foo expands to $foo

   To run the same command in indefinite number of times, but at least once:
      assign blah 2
      do {
         echo $blah is lower than 3
      } while ( blah = rand(5) < 3 )

See Also:
   eval(5); while(5)

